App Store Bulk App Metrics Live


This endpoint will provide you with ranking metrics for up to 1000 App Store applications.

The returned results are specific to the app_ids specified in a POST request.

The app_id parameter can be found on the App Store website as a part of a URL pointing to a specific mobile application. It consists of numbers indicated after id in the URL string. For example, here is the URL of the TikTok app on App Store:

https://apps.apple.com/us/app/id835599320

The app_id of this app is 835599320

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
app_idsarray

ids of the apps
required field
IDs of mobile applications on App Store;
you can find the ID in the URL of every app listed on App Store;
example:
in the URL https://apps.apple.com/us/app/id835599320
the id is 835599320;
the maximum number of IDs you can specify in this field is 1000

location_namestring

full name of the location
required field if you don't specify location_code
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_name by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US location only;
example:
United States

location_codeinteger

location code
required field if you don't specify location_name
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_code by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US location only;
example:
2840

language_namestring

full name of the language
required field if you don't specify language_code
Note: it is required to specify either language_name or language_code
you can receive the list of available languages with their language_name by making a separate request to the
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the English language only;
example:
English

language_codestring

language code
required field if you don't specify language_name
Note: it is required to specify either language_name or language_code
you can receive the list of available languages with their language_code by making a separate request to the
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the English language only
example:
en

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        se_typestring

search engine type

        app_idstring

id of the app in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        total_countinteger

total amount of results in our database relevant to your request

        items_countinteger

the number of results returned in the items array

        itemsarray

contains data related to the ranking app metrics of the specified application

            se_typestring

search engine type

            app_idstring

id of the app in a POST array

            metricsobject

metrics for the ranking keywords of the app
ranking data relevant to the keywords that the provided application ranks for on App Store

                app_store_search_organicobject

ranking data from App Store organic search

                    pos_1integer

number of SERPs where the app ranks #1 in organic results

                    pos_2_3integer

number of SERPs where the app ranks #2-3 in organic results

                    pos_4_10integer

number of SERPs where the app ranks #4-10 in organic results

                    pos_11_100integer

number of SERPs where the app ranks #11-100 in organic results

                    countinteger

total count of organic SERPs that contain the app

                    search_volumeinteger

total search volume of the app's ranking keywords in App Store organic SERP


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/dataforseo_labs/apple/bulk_app_metrics/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "app_ids": [
            "686449807",
            "382617920"
        ],
        "language_name": "English",
        "location_code": 2840
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
	"app_ids" => [
            "686449807",
            "382617920"
        ],
	"language_name" => "English",
	"location_code" => 2840,
	"limit" => 10
);
try {
   // POST /v3/dataforseo_labs/bulk_app_metrics/live
   $result = $client->post('/v3/dataforseo_labs/apple/bulk_app_metrics/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "app_ids": [
            "686449807",
            "382617920"
        ],
  "language_name": "English",
  "location_code": 2840
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/dataforseo_labs/apple/bulk_app_metrics/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    app_ids=[
            "686449807",
            "382617920"
        ],
    location_name="United States",
    language_name="English"
)
# POST /v3/dataforseo_labs/apple/bulk_app_metrics/live
response = client.post("/v3/dataforseo_labs/apple/bulk_app_metrics/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_apple_bulk_app_metrics_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                app_ids = [
                    "686449807",
                    "382617920"
                ],
                location_name = "United States",
                language_name = "English"
            });
            // POST /v3/dataforseo_labs/apple/bulk_app_metrics/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/dataforseo_labs/apple/bulk_app_metrics/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20220428",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.2300 sec.",
    "cost": 0.0102,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "06241759-2806-0453-0000-8e77e0ed4203",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.1474 sec.",
            "cost": 0.0102,
            "result_count": 1,
            "path": [
                "v3",
                "dataforseo_labs",
                "apple",
                "bulk_app_metrics",
                "live"
            ],
            "data": {
                "api": "dataforseo_labs",
                "function": "bulk_app_metrics",
                "se_type": "apple",
                "app_ids": [
                    "686449807",
                    "382617920"
                ],
                "location_code": 2840,
                "language_name": "English"
            },
            "result": [
                {
                    "se_type": "apple",
                    "location_code": 2840,
                    "language_code": "en",
                    "total_count": 2,
                    "items_count": 2,
                    "items": [
                        {
                            "se_type": "apple",
                            "app_id": "382617920",
                            "metrics": {
                                "app_store_search_organic": {
                                    "pos_1": 213,
                                    "pos_2_3": 317,
                                    "pos_4_10": 1309,
                                    "pos_11_100": 3505,
                                    "count": 5344,
                                    "search_volume": 42237121
                                }
                            }
                        },
                        {
                            "se_type": "apple",
                            "app_id": "686449807",
                            "metrics": {
                                "app_store_search_organic": {
                                    "pos_1": 214,
                                    "pos_2_3": 167,
                                    "pos_4_10": 570,
                                    "pos_11_100": 1855,
                                    "count": 2806,
                                    "search_volume": 34508416
                                }
                            }
                        }
                    ]
                }
            ]
        }
    ]
}